AOWP_PHPFunctionCallElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPFunctionCallElement
/parser/ast/PHPFunctionCallElement.class.php at line 16

# Class AOWP_PHPFunctionCallElement

    AOWP_PHPElement
        └─AOWP_PHPFunctionCallElement

public class AOWP_PHPFunctionCallElement
extends AOWP_PHPElement

関数呼び出しを表すAST。 `function_call(A) ::= T_STRING(B) LPAREN function_call_parameter_list(C) RPAREN. {}`

Author:
  Ryoto Naruse /

Field Summary
array | $arguments {@link AOWP_PHPArgumentElement}の配列。
string | $functionName 関数名。

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPFunctionCallElement(mixed _lineOrFunctionName, mixed functionName, mixed arguments)

Method Summary
void | __toString()
void | addArgument(mixed argument)
void | addConstScalarArgument(mixed constVariableName)
void | addScalarArgument(mixed stringOrNumber, $stringOrNumber ) $stringOrNumber は文字列か数値。
void | addVariableArgument(string variableName) 変数の引き数を、追加する。
int | getArgumentCount()
void | getArguments()
void | getFunctionName()
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPFunctionCallElement.class.php at line 29

### arguments

`public array $arguments`

`AOWP_PHPArgumentElement`の配列。

/parser/ast/PHPFunctionCallElement.class.php at line 22

### functionName

`public string $functionName`

関数名。

## Constructor Detail

/parser/ast/PHPFunctionCallElement.class.php at line 31

### AOWP_PHPFunctionCallElement

`public AOWP_PHPFunctionCallElement(mixed _lineOrFunctionName, mixed functionName, mixed arguments)`

## Method Detail

/parser/ast/PHPFunctionCallElement.class.php at line 91

### __toString

`public void __toString()`

/parser/ast/PHPFunctionCallElement.class.php at line 71

### addArgument

`public void addArgument(mixed argument)`

/parser/ast/PHPFunctionCallElement.class.php at line 66

### addConstScalarArgument

`public void addConstScalarArgument(mixed constVariableName)`

/parser/ast/PHPFunctionCallElement.class.php at line 61

### addScalarArgument

`public void addScalarArgument(mixed stringOrNumber, $stringOrNumber )`

$stringOrNumber は文字列か数値。

/parser/ast/PHPFunctionCallElement.class.php at line 49

### addVariableArgument

`public void addVariableArgument(string variableName)`

変数の引き数を、追加する。

/parser/ast/PHPFunctionCallElement.class.php at line 83

### getArgumentCount

`public int getArgumentCount()`

/parser/ast/PHPFunctionCallElement.class.php at line 75

### getArguments

`public void getArguments()`

/parser/ast/PHPFunctionCallElement.class.php at line 87

### getFunctionName

`public void getFunctionName()`

/parser/ast/PHPFunctionCallElement.class.php at line 95

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr